Subject: RFC: Removing busy-spin in pktgen.

From: Ben Greear <[email-masked]>
Date: Mon, 23 Oct 2006 17:02:52 -0700

I'm planning to re-merge my long-lost pktgen branch with the kernel
tree's pktgen.

I believe the main difference is that my out-of-tree pktgen does not do the
busy-spin, but waits on a queue for the net-device to wake it's tx-queue
when over-driving a NIC.

To implement this, I added a hook in the netdev-wake-queue logic and let
pktgen register itself as interested....

Is there any interest in adding this sort of feature to the official
pktgen?

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com